#include "ccusb.h"

int main()
{
	int i, ret;
	int crate = 0;
	int dat, q, x;
	int retlen, buf[50];
	unsigned short bufs[50];
	
	
	ret = camopen(crate);
	printf("*** camopen: ret = %d\n",ret);
	ret = cgenz(crate);
	printf("*** cgenz: ret = %d\n",ret);
	ret = cgenc(crate);
	printf("*** cgenc: ret = %d\n",ret);
	ret = cseti(crate);
	printf("*** cseti: ret = %d\n",ret);
	ret = cremi(crate);
	printf("*** cremi: ret = %d\n",ret);


	ret = camac(crate, 2, 1, 0, &dat, &q, &x);
	printf("*** camac: ret = %d\n",ret);
	printf("dat = 0x%x(%d)\n", dat, dat);
	printf("q = %d   x = %d\n", q, x);

	ret = camacw(crate, 2, 1, 0, &dat, &q, &x);
	printf("*** camacw: ret = %d\n",ret);
	printf("dat = 0x%x(%d)\n", dat, dat);
	printf("q = %d   x = %d\n", q, x);

	retlen = cdma(crate, 2, 1, 0, BLOCK_QIGNO, buf, 10);
	printf("*** cdma: retlen = %d\n", retlen);
	for(i=0; i< 10; i++)
		printf("buf[%d]=%d(0x%x)\n", i, buf[i], buf[i]);

	retlen = cdmaw(crate, 2, 1, 0, BLOCK_QIGNO, bufs, 10);
	printf("*** cdmaw: retlen = %d\n", retlen);
	for(i=0; i< 10; i++)
		printf("bufs[%d]=%hu(0x%x)\n", i, bufs[i], bufs[i]);

	ret = camcls(crate);
	printf("*** camcls: ret = %d\n", ret);

	return 0;
}

