#! /bin/bash
 
# to clean the access:
rm /dev/usb/ccusb*

major=180
cc7700max=8

procinfo1=`awk '/ccusb/{print $1}' /proc/bus/usb/drivers`
procinfo2=`awk '/ccusb/{print $2}' /proc/bus/usb/drivers | tr -d ':'`

echo $procinfo1

if [ $procinfo2 = ccusb ]; then
    minorstart=`echo $procinfo1 | cut -f1 -d -`
    pinfo1num=${#procinfo1}
    startnum=${#minorstart}
    minorstop=`echo ${procinfo1:$(( $startnum + 1 ))} | tr -d ':'`
fi

echo "minir start:$minorstart"
echo "minir stoop:$minorstop"

minors=$(( $minorstop - $minorstart ))

echo "minor num:$minors"

if [ $minors -ge $cc7700max ]; then
    max=$(( $cc7700max - 1))
else
    max=$minors
fi

let crate=0
let minor=$minorstart

while [ $crate -le $max ]; do
    mknod -m 0666 /dev/usb/ccusb0$crate  c $major  $minor
    echo "mknod -m 0666 /dev/usb/ccusb0$crate c $major $minor"
    let crate=crate+1
    let minor=minor+1
done


