#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>     
#include "ccusb.h" 

int main()
{
  int i, fd, ret;
  int n, a, f, dat, word;
  struct camac_single cam_sing;

  fd = open("/dev/usb/ccusb00", O_RDWR);
  printf("fd = %d\n",fd);
  if(fd == -1)
    exit(-1);
  printf("Word/Long word(1/2)");
  scanf("%d",&word);

  while(1){

    printf("N: ");
    scanf("%d",&n);
    if(n == 0)
      break;
    printf("A: ");
    scanf("%d",&a);
    printf("F: ");
    scanf("%d",&f);
    if(f > 15 && f < 24) {
	    printf("data? (Hex)");
      scanf("%x", &dat);
      cam_sing.data = dat;
    }

    cam_sing.naf[0] = n;
    cam_sing.naf[1] = a;
    cam_sing.naf[2] = f;

    if(word == 1)
      ret = ioctl(fd, CAM_WORD, &cam_sing);
    else
      ret = ioctl(fd, CAM_LONG, &cam_sing);

    if( f < 8)
      printf("data = 0x%x(%d)\n", cam_sing.data, cam_sing.data);

    if(ret != 0)
      printf("ERROR: ret = %d\n", ret);

    printf("q = %x\n", cam_sing.qx & 0x1);
    printf("x = %x\n", (cam_sing.qx & 0x2) >> 1);
  }
  close(fd);

}




